Create weekdays
curl --request POST \
--url https://api.yume.cloud/v1/crm/requests/weekdays/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": 123,
"request_inventory": 123,
"client": 123,
"work_days": 16384,
"rest_days": 16383,
"rest_weekdays": [
123
],
"custom": true,
"exclude_rest": true
}
'import requests
url = "https://api.yume.cloud/v1/crm/requests/weekdays/"
payload = {
"request": 123,
"request_inventory": 123,
"client": 123,
"work_days": 16384,
"rest_days": 16383,
"rest_weekdays": [123],
"custom": True,
"exclude_rest": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: 123,
request_inventory: 123,
client: 123,
work_days: 16384,
rest_days: 16383,
rest_weekdays: [123],
custom: true,
exclude_rest: true
})
};
fetch('https://api.yume.cloud/v1/crm/requests/weekdays/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"request": 123,
"request_inventory": 123,
"client": 123,
"work_days": 16384,
"rest_days": 16383,
"rest_weekdays": [
123
],
"custom": true,
"exclude_rest": true
}weekdays
Create weekdays
POST
/
v1
/
crm
/
requests
/
weekdays
/
Create weekdays
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data